#include <WS2812FX.h>

#define LED_COUNT 60
#define LED_PIN 12

#define TIMER_MS 5000

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
//   NEO_RGBW    Pixels are wired for RGBW bitstream (NeoPixel RGBW products)
WS2812FX ws2812fx = WS2812FX(LED_COUNT, LED_PIN, NEO_RGB + NEO_KHZ800);

unsigned long last_change = 0;
unsigned long now = 0;

void setup() {
   ws2812fx.init();

    // Set the LED’s overall brightness. 0=strip off, 255=strip at full intensity
    ws2812fx.setBrightness(255);

    // Set the animation speed. 10=very fast, 5000=very slow
    ws2812fx.setSpeed(5000);

    // Set the color of the LEDs
    ws2812fx.setColor(WHITE);

    // Select an animation effect/mode. 0=static color, 1=blink, etc. You
    // can specify a number here, or there some handy keywords defined in
    // the WS2812FX.h file that are more descriptive and easier to remember.
    ws2812fx.setMode(FX_MODE_RAINBOW_CYCLE);

    // Start the animation
    ws2812fx.start();
}

void loop() {
  now = millis();

  ws2812fx.service();

// Cycle through all modes
  // if(now - last_change > TIMER_MS) {
  //   ws2812fx.setMode((ws2812fx.getMode() + 1) % ws2812fx.getModeCount());
  //   last_change = now;
  // }

  // ws2812fx.setMode(FX_MODE_TWINKLE_FADE);

  // uint32_t colors[] = {WHITE, PURPLE};
  // ws2812fx.setSegment(0, 0,LED_COUNT, FX_MODE_TWINKLE_FADE, colors, 1000, false);

// divide the string of LEDs into two independent segments
  // segment 1 (first half of the strip)
  // uint32_t colors[] = {RED, GREEN};
  // ws2812fx.setSegment(0, 0,(LED_COUNT/2)-1, FX_MODE_FIREWORKS, colors, 1000, false);

  // // segment 2 (second half of the strip)
  // ws2812fx.setSegment(1, LED_COUNT/2, LED_COUNT-1,FX_MODE_FIREWORKS, (const uint32_t[]) {ORANGE, BLUE}, 1000, false);


}
